[brite-users] installation Java GUI

Minh Huynh mhuynh at ttb.siemens.com
Fri Jul 2 20:50:10 EDT 2004


Hi,
I'm trying to compile the Java GUI part but I'm getting errors such as:

AboutPanel.java:5: Can't find default package `javax.swing'. Check the
CLASSPATH environment variable and the access to the archives

TDPanel.java:39: Type `JLabel' not found in declaration of field
`TDLabel'.
       JLabel TDLabel = new JLabel();

This might have to do with the java version that I have.  So I followed
the link on your website to get Java 2 (JDK 1.3) but the link is dead. 
However, I was able to download J2SE 1.4.2 which includes the SDK as
well.  The installation went smoothly, mostly autorun by rpm.  However,
when I tried to install the Java part again, I got the same errors.
Here's what I get from "java -version"
java version "1.3.1"
jdkgcj 0.2.3 (http://www.arklinux.org/projects/jdkgcj)
gcj (GCC) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

I was wondering if I have the right java version.  If not, How do I
get/install it because I follow the instructions from java.sun.com and
it still doesn't work.  Am I missing something else?  And is there an
archive of user questions on brite that I could browse through?  Thank
you.

Minh.


More information about the brite-users mailing list